Package twisted :: Package xish :: Module domish |
[frames | no frames]

## Module twisted.xish.domish

Classes
`_ListSerializer` | Internal class which serializes an Element tree into a buffer
`_Serializer` | Internal class which serializes an Element tree into a buffer
`Element` | Object representing a container (a.k.a.
`ExpatElementStream` |
`Namespace` | Convenience object for tracking namespace declarations
`SerializedXML` | Marker class for pre-serialized XML in the DOM
`SerializerClass` | Internal class which serializes an Element tree into a buffer
`SuxElementStream` |

Exceptions
`ParserError` | Exception thrown when a parsing error occurs

Function Summary
| ``_splitPrefix`(name)` Internal method for splitting a prefixed Element name into its respective parts
| ``elementStream`()` Preferred method to construct an ElementStream
| ``escapeToXml`(text, isattrib)` Escape text to proper XML form, per section 2.3 in the XML specification.
| ``generateElementsNamed`(list, name)` Filters Element items in a list with matching name, regardless of URI
| ``generateElementsQNamed`(list, name, uri)` Filters Element items in a list with matching name and URI
| ``generateOnlyKlass`(list, klass)` Filters items in a list by class
| `unescapeFromXml(text)`

Function Details

### _splitPrefix(name) Internal method for splitting a prefixed Element name into its respective parts

### elementStream() Preferred method to construct an ElementStream Uses Expat-based stream if available, and falls back to Sux if necessary.

### escapeToXml(text, isattrib=0) Escape text to proper XML form, per section 2.3 in the XML specification. Parameters: `text` - Text to escape (type=`str`) `isattrib` - Triggers escaping of characters necessary for use as attribute values (type=`Boolean`)

### generateElementsNamed(list, name) Filters Element items in a list with matching name, regardless of URI

### generateElementsQNamed(list, name, uri) Filters Element items in a list with matching name and URI

### generateOnlyKlass(list, klass) Filters items in a list by class

Generated by Epydoc 2.0 on Sat Oct 25 00:54:56 2003 | http://epydoc.sf.net